=== debian/control ===
Source: freebsd5-buildutils
Section: devel
Priority: extra
Maintainer: Robert Millan <rmh@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), cdbs (>= 0.4.26-1.2), type-handling (>= 0.2.5), debhelper (>= 4.1.0), pmake, flex, bison
Standards-Version: 3.5.2

Package: freebsd5-buildutils
Architecture: any
Depends: ${shlibs:Depends}, dash
Provides: freebsd-buildutils
Conflicts: freebsd-buildutils
Description: Utilities for building FreeBSD 5.x sources
 This package contains the FreeBSD 5.x counterparts of some standard build
 utilities (make, yacc, lex ..)
 .
 They have some specific modifications needed to be able to build FreeBSD 5.x
 sources (such as ufsutils).
