## freebsd5-buildutils 5.4

=== share/mk/Makefile ===
# $FreeBSD: src/share/mk/Makefile,v 1.43.2.3 2005/02/28 09:30:12 obrien Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/8/93

FILES=	bsd.README
FILES+=	bsd.compat.mk bsd.cpu.mk bsd.dep.mk bsd.doc.mk bsd.endian.mk
FILES+=	bsd.files.mk bsd.incs.mk bsd.info.mk bsd.init.mk
FILES+=	bsd.kmod.mk
FILES+=	bsd.lib.mk bsd.libnames.mk bsd.links.mk bsd.man.mk bsd.nls.mk
FILES+=	bsd.obj.mk bsd.own.mk
FILES+=	bsd.port.mk bsd.port.post.mk  bsd.port.pre.mk bsd.port.subdir.mk
FILES+=	bsd.prog.mk bsd.subdir.mk bsd.sys.mk
FILES+=	sys.mk
NOOBJ=
FILESDIR=	${BINDIR}/mk

.include <bsd.prog.mk>
