=== usr.bin/brandelf/Makefile ===
# $FreeBSD: src/usr.bin/brandelf/Makefile,v 1.7 2003/06/14 19:32:51 obrien Exp $

PROG=	brandelf

.include <bsd.prog.mk>
