=== usr.bin/file2c/Makefile ===
# $FreeBSD: src/usr.bin/file2c/Makefile,v 1.7 2002/02/08 22:31:39 markm Exp $

PROG=	file2c

.include <bsd.prog.mk>
