=== usr.bin/mkdep/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.bin/mkdep/Makefile,v 1.9 2001/04/07 11:21:23 ru Exp $

SCRIPTS=	mkdep.gcc.sh
MAN=		mkdep.1
SCRIPTSNAME=	mkdep

.include <bsd.prog.mk>
