=== usr.sbin/btxld/Makefile ===
# $FreeBSD: src/usr.sbin/btxld/Makefile,v 1.11 2004/06/22 17:05:37 obrien Exp $

PROG=	btxld
MAN=	btxld.8
SRCS=	btxld.c elfh.c

.include <bsd.prog.mk>
