=== usr.sbin/kgzip/Makefile ===
# $FreeBSD: src/usr.sbin/kgzip/Makefile,v 1.11 2003/06/11 21:36:06 obrien Exp $

PROG=	kgzip
MAN=	kgzip.8
SRCS=	kgzip.c aouthdr.c elfhdr.c kgzcmp.c kgzld.c xio.c

WARNS?=	3

.include <bsd.prog.mk>
